package com.cusc.nirvana.user.rnr.fp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.fp.dao.entity.FpT1UploadStatusPO;
import com.cusc.nirvana.user.rnr.fp.dto.FpT1UploadStatusDTO;

import java.util.List;

/**
 * T1上报状态(FpT1UploadStatus)表服务接口
 *
 * @author yuy336
 * @since 2022-07-06 14:12:22
 */
public interface IFpT1UploadStatusService extends IService<FpT1UploadStatusPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    FpT1UploadStatusDTO getByUuid(FpT1UploadStatusDTO bean);

    /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<FpT1UploadStatusDTO> queryByList(FpT1UploadStatusDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<FpT1UploadStatusDTO> queryByPage(FpT1UploadStatusDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpT1UploadStatusDTO insert(FpT1UploadStatusDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpT1UploadStatusDTO update(FpT1UploadStatusDTO bean);

    /**
     * 通过iccid清理数据
     *
     * @param bean
     * @return 实例对象
     */
    boolean clearDataByIccid(FpT1UploadStatusDTO bean);

    /**
     * 通过iccid清理开流数据
     *
     * @param bean
     * @return 实例对象
     */
    boolean clearFlowDataByIccid(FpT1UploadStatusDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(FpT1UploadStatusDTO bean);

    /**
     * 新增数据或重置数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpT1UploadStatusDTO insertOrReset(FpT1UploadStatusDTO bean);

    /**
     * 新增数据或重置数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpT1UploadStatusDTO insertOrResetFlow(FpT1UploadStatusDTO bean);

    /**
     * 通过UUID查询单条数据
     *
     * @param iccid
     * @param orderId
     * @return 实例对象
     */
    FpT1UploadStatusDTO getByIccidAndOrderId(String iccid, String orderId);

    FpT1UploadStatusDTO getByRequestId(String requestId);

    List<FpT1UploadStatusDTO> queryByRequestIdList(List<String> requestIdList);

}
